//
//  TWMError.h
//  Twilio IP Messaging Client
//
//  Copyright (c) 2011-2016 Twilio. All rights reserved.
//

#import <Foundation/Foundation.h>

/** Twilio IP Messaging error object 
 
 TWMError is a descendent of NSError.  The IP Messaging Client will populate the following properties for most errors:
 
 - domain - Will be equivalent to the constant pointed to by TWMErrorDomain
 - code - Will be a numeric code indicating the failure or TWMErrorGeneric for errors generated by the client locally
 - userInfo[TWMErrorMsgKey] - May contain an optional string representation of the error with more detail if available
 */
@interface TWMError : NSError

@end
